
%read co2 data
 xlsread maunaloa.xls
 aco2 = ans(:,2);
%construct timeaxis
 dezy = [1958:1./12:2007-1./12];

xlim = [min(dezy) max(dezy)];
figure
set(gca,'xlim',xlim,'linewidth',1.2,'fontsize',18, ...
       'nextplot','add','box','on')
plot(dezy,aco2,'k'); 
plot(dezy,(raverage(repl_nan(aco2,10),12)),'linewidth',2,'color', ...
      [0.5 0.5 0.5])
plot(dezy,(raverage(repl_nan(aco2,10),5.*12)),'k--','linewidth',1.4)  
title('Atmospheric carbon dioxide, Mauna Loa, Hawaii, 1958-2006')
xlabel('year')
ylabel('CO_2   [ppm]')
grid on

figure
set(gca,'xlim',xlim,'linewidth',1.2,'fontsize',18, ...
       'nextplot','add','box','on')
plot(dezy,detrend((repl_nan(aco2,10)), ...
          'linear',24))
title(' Atmospheric carbon dioxide, Mauna Loa, Hawaii, 1958-2006')
xlabel('year')
ylabel('CO_2   [ppm]')                  
grid on

					
